[Home](./README.md)
| [Exercise 1 - Kinect Streams](./exo1_subject.md)
| [Exercise 2 - Introduction](./exo2_subject.md) 
| [Exercise 2 part 1 - Postures](./exo2_1_subject.md) 
| [Exercise 2 part 2 - Gestures](./exo2_2_subject.md) 
| [Exercise 2 part 3 - Mapping](./exo2_3_subject.md) 
| **Exercise 3 - Free App**

# Exercise 3: Gesture Recognition part3 (Mapping)

# Prerequisites
- exercises 1 & 2
- Dispatcher
- Timer
  
# Resources
- 🔜 Dispatcher
- 🔜 Timer
  
# Requested Work
A WPF application with body interaction through the use of the Kinect Sensor.  
The application must:
- be interactive
- use the results of the two first exercises
- if possible, be original

[🎥 Here are some samples](https://opencast.dsi.uca.fr/paella/ui/watch.html?id=020468ca-165e-493f-8938-32043c4632df) of what students were able to do the last years.


# Evaluation criteria
To earned points, remember that you must validate your knowledge with your teacher, during the practical work.

**Criteria**
@ | description | coeff 
--- | --- | ---
☢️ | the repositories must be accessible by the teacher | ☢️ 
☢️ | a .gitignore file must be use at the creation of the repository or at the first push | ☢️
🎬 | all *class libraries* and *applications* build | ~1 
🎬 | *applications* run without any bug | ~2 
🚨🟢 | Use of gestures recognition (postures and/or gestures and/or mapping) | ~2
🚨🟡 | Use of content (shapes, images, animations...) | ~2
🚨🔴 | Interactive application | ~2
🎬🟢 | Documentation (how to play, how to run the app...) | ~1

> Note :  
> Coefficients may change and are here only indicative  
  
---

[Home](./README.md)
| [Exercise 1 - Kinect Streams](./exo1_subject.md)
| [Exercise 2 - Introduction](./exo2_subject.md) 
| [Exercise 2 part 1 - Postures](./exo2_1_subject.md) 
| [Exercise 2 part 2 - Gestures](./exo2_2_subject.md) 
| [Exercise 2 part 3 - Mapping](./exo2_3_subject.md) 
| **Exercise 3 - Free App**

---

Copyright © 2023-2024 Marc Chevaldonné

--- 

While preparing these practical works, I was listening to...  

<table>
    <tr>
        <td>
            <img src="./images/live_at_fip.jpg" width="120"/>
        </td>
        <td>
            <div>
                <p><b>Live At Fip</b></p>
                <p><i>Popa Chubby</i> (2003)</p>
            </div>
        </td>
    </tr>
</table>
<table>
    <tr>
        <td>
            <img src="./images/sarah_vaughan.jpg" width="120"/>
        </td>
        <td>
            <div>
                <p><b>Sarah Vaughan</b></p>
                <p><i>Sarah Vaughan</i> (1955)</p>
            </div>
        </td>
    </tr>
</table>